Skip to main content

Updates deployment status for third-party installers.

PUT 

/api/v2/deploy/:catalog_id

Allows third-party installers to update the deployment status, progress, and messages for a component identified by catalog_id. This endpoint is used for external deployment tracking.

Request

Path Parameters

    catalog_id stringrequired

    Catalog ID of the component

Body

required

    estimateTime int64nullable
    eventTime date-timenullable

    The time when the deployment event occurred (stopped, started, etc.)

    messageLog stringnullable
    progress int32nullable

    Possible values: <= 100

    status object

Responses

Schema

    catalogId stringrequired
    completedAt date-timenullable
    currentTime date-timenullable
    deviceId stringrequired
    eta int64nullable
    messageLog stringnullable
    progress int32nullable
    requestedStatus object
    startedAt date-timenullable
    status object
    stoppedAt date-timenullable
    type ItemTyperequired

    Possible values: [software, map, cache]

Loading...